weka.knowledgeflow

## Class JobEnvironment

- java.lang.Object
- - weka.core.Environment
  - - weka.knowledgeflow.JobEnvironment

- All Implemented Interfaces:
    RevisionHandler

      public class JobEnvironment
      extends Environment

  Extended Environment with support for storing results and property values to be set at a later date on the base schemes of WekaAlgorithmWrapper steps. The latter is useful in the case where variables are not supported for properties in a base scheme.
  Version:
    $Revision: $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobEnvironment()` Constructor
    `JobEnvironment(Environment env)` Construct a JobEnvironment by copying the contents of a standard Environment

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAllResults(java.util.Map<java.lang.String,java.util.LinkedHashSet<Data>> otherResults)` Add all the results from the supplied map to this environment's results
    `void` | `addToResult(Data data)` Add a non-incremental data object to the result
    `void` | `addToStepProperties(java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.String>> propsToAdd)` Add the supplied map of step properties.
    `void` | `clearResultData()`
    `void` | `clearStepProperties()` Clear all step properties
    `java.util.Map<java.lang.String,java.util.LinkedHashSet<Data>>` | `getResultData()` Get a map of all the result data objects
    `java.util.LinkedHashSet<Data>` | `getResultDataOfType(java.lang.String connName)` Get a list of any result data objects of the supplied connection type
    `java.util.Map<java.lang.String,java.lang.String>` | `getStepProperties(java.lang.String stepName)` Get the step properties for a named step
    `boolean` | `hasResultDataOfType(java.lang.String connName)` Returns true if the results contain data of a particular connection type

    - ### Methods inherited from class weka.core.Environment

      `addVariable, addVariableSystemWide, containsEnvVariables, getRevision, getSystemWide, getVariableNames, getVariableValue, main, removeVariable, substitute`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JobEnvironment

          public JobEnvironment()

      Constructor

    - #### JobEnvironment

          public JobEnvironment(Environment env)

      Construct a JobEnvironment by copying the contents of a standard Environment
      Parameters:
        `env` - the Environment to copy into this JobEnvironment

  - ### Method Detail

    - #### addToResult

          public void addToResult(Data data)

      Add a non-incremental data object to the result
      Parameters:
        `data` - the data to add

    - #### addAllResults

          public void addAllResults(java.util.Map<java.lang.String,java.util.LinkedHashSet<Data>> otherResults)

      Add all the results from the supplied map to this environment's results
      Parameters:
        `otherResults` - the results to add

    - #### getResultDataOfType

          public java.util.LinkedHashSet<Data> getResultDataOfType(java.lang.String connName)

      Get a list of any result data objects of the supplied connection type
      Parameters:
        `connName` - the name of the connection to get result data objects for
      Returns:
        a list of result data objects for the specified connection type, or null if none exist

    - #### hasResultDataOfType

          public boolean hasResultDataOfType(java.lang.String connName)

      Returns true if the results contain data of a particular connection type
      Parameters:
        `connName` - the name of the connection to check for data
      Returns:
        true if the results contain data of the supplied connection type

    - #### getResultData

          public java.util.Map<java.lang.String,java.util.LinkedHashSet<Data>> getResultData()

      Get a map of all the result data objects
      Returns:
        a map of all result data

    - #### clearResultData

          public void clearResultData()

    - #### getStepProperties

          public java.util.Map<java.lang.String,java.lang.String> getStepProperties(java.lang.String stepName)

      Get the step properties for a named step
      Parameters:
        `stepName` - the name of the step to get properties for
      Returns:
        a map of properties for the named step

    - #### clearStepProperties

          public void clearStepProperties()

      Clear all step properties

    - #### addToStepProperties

          public void addToStepProperties(java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.String>> propsToAdd)

      Add the supplied map of step properties. The map contains properties for various base schemes owned by scheme-specific (WekaAlgorithmWrapper) steps. Outer map is keyed by step name, inner map by property name.
      Parameters:
        `propsToAdd` - properties to add